<?xml version="1.0" encoding="UTF-8"?>
<!--
    This file is part of the Scilab time frequency toolbox.
    This file must be used under the terms of the  terms of the GNU General Public License 
    as published by the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Copyright (c) 1995 Rice University
-->

<refentry xml:id="mexhat" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:scilab="http://www.scilab.org"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>mexhat</refname><refpurpose>Mexican hat wavelet in time domain.</refpurpose>
  </refnamediv>



  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>
      [H,T]=mexhat()
      [H,T]=mexhat(NU)
    </synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>	NU :</term>
        <listitem>
          <para>a scalar in [0 0.5] (default : 0.05).</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>	H  :</term>
        <listitem>
          <para>a real row vector of length 2*ceil(1.5/NU)+1: the the mexhat time samples. </para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>	T  :</term>
        <listitem>
          <para>a real row vector of length 2*ceil(1.5/NU)+1: the mexican hat time support. </para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>
    <para>
      mexhat returns the mexican hat wavelet with central frequency NU
      (NU is a normalized frequency in Hz).
    </para>
  </refsection>

  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[
    clf;
    plot(mexhat(0.05));
    ]]></programlisting>
    <scilab:image><![CDATA[
    clf;
    plot(mexhat(0.05));
    ]]></scilab:image>
  </refsection>

  <refsection>
    <title>See also</title>
    <simplelist type="inline">
      <member><link linkend="klauder">klauder</link></member>
    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>
    <simplelist type="vert">
      <member>H. Nahrstaedt - Aug 2010</member>
      <member>	P. Goncalves, October 95</member>
    </simplelist>
  </refsection>
</refentry>
